%define oname   sass

Name:       ruby-%{oname}
Version:    3.2.3
Release:    %mkrel 3
Summary:    CSS Generator
License:    GPLv2+
Group:      Development/Ruby
URL:        http://haml-lang.com/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Sass makes CSS fun again. Sass is an extension of CSS3, adding nested rules,
variables, mixins, selector inheritance, and more. It's translated to
well-formatted, standard CSS using the command line tool or a web-framework
plugin.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build -f^VERSION

%install
%gem_install

rm -rf %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/.yardoc

%files
%{_bindir}/sass
%{_bindir}/sass-convert
%{_bindir}/scss
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/gems/%{oname}-%{version}/VERSION*
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 3.2.3-3.mga3
+ Revision: 396454
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 3.2.3-2.mga3
+ Revision: 381448
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 3.2.3-1.mga3
+ Revision: 330391
- New version 3.2.3

* Sun Nov 04 2012 fwang <fwang> 3.2.2-1.mga3
+ Revision: 313906
- new version 3.2.2

* Mon Aug 06 2012 shlomif <shlomif> 3.1.20-1.mga3
+ Revision: 279456
- New version and fixed dependency.
  The dependency read "rubygem(fssm) = 0.1.4", with an exact and now defunct
  version, so this was fixed.
- Remove trailing space

* Sat Jun 09 2012 shlomif <shlomif> 3.1.19-1.mga3
+ Revision: 259008
- Got to build
- imported package ruby-sass

